Create a payout
curl --request POST \
--url https://api.kori.ml/merchant/api/payouts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 25000,
"destination_phone": "<string>",
"destination_account": "<string>",
"reference": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.kori.ml/merchant/api/payouts"
payload = {
"amount": 25000,
"destination_phone": "<string>",
"destination_account": "<string>",
"reference": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 25000,
destination_phone: '<string>',
destination_account: '<string>',
reference: '<string>',
scheduled_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.kori.ml/merchant/api/payouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {
"id": 123,
"amount": 123,
"destination_phone": "<string>",
"destination_account": "<string>",
"reference": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"message": "Invalid or missing parameter",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"success": false,
"message": "Invalid or missing parameter",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"success": false,
"message": "Invalid or missing parameter",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"success": false,
"message": "Invalid or missing parameter",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Payouts
Create a payout
Withdraw your balance to a mobile-money number or (soon) a bank account.
Payouts may require approval depending on your settings. Requires scope payout.
POST
/
merchant
/
api
/
payouts
Create a payout
Authorizations
Scoped Bearer token from POST /merchant/api/auth.
Body
application/json
Example:
25000
Destination method for payouts (BankTransfer not yet supported).
Available options:
OrangeMoney, Wave, Sama, Moov, BankTransfer Required unless destination_account is given.
Bank account (not yet supported).
Future date to schedule the payout.
⌘I